- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_cursor_t

# mongoc_cursor_destroy()

## Synopsis

    void
    mongoc_cursor_destroy (mongoc_cursor_t *cursor);

## Parameters

- `cursor`: A mongoc_cursor_t.

## Description

Frees a mongoc_cursor_t and releases all associated resources. If a server-side cursor has been allocated, it will be released as well.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.